<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myHeaderKlaimLabel" jhiTranslate="mpmApp.headerKlaim.home.createOrEditLabel">Create or edit a Header Klaim</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!headerKlaim.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="headerKlaim.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.iduser" for="field_iduser">Iduser</label>
            <input type="text" class="form-control" name="iduser" id="field_iduser"
                [(ngModel)]="headerKlaim.iduser"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.notrans" for="field_notrans">Notrans</label>
            <input type="text" class="form-control" name="notrans" id="field_notrans"
                [(ngModel)]="headerKlaim.notrans"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.notransKlaim" for="field_notransKlaim">Notrans Klaim</label>
            <input type="text" class="form-control" name="notransKlaim" id="field_notransKlaim"
                [(ngModel)]="headerKlaim.notransKlaim"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.bulan_program" for="field_bulan_program">Bulan Program</label>
            <input type="text" class="form-control" name="bulan_program" id="field_bulan_program"
                [(ngModel)]="headerKlaim.bulan_program"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.no_klaim" for="field_no_klaim">No Klaim</label>
            <input type="text" class="form-control" name="no_klaim" id="field_no_klaim"
                [(ngModel)]="headerKlaim.no_klaim"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.tgl_klaim" for="field_tgl_klaim">Tgl Klaim</label>
            <input type="text" class="form-control" name="tgl_klaim" id="field_tgl_klaim"
                [(ngModel)]="headerKlaim.tgl_klaim"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.jam_klaim" for="field_jam_klaim">Jam Klaim</label>
            <input type="text" class="form-control" name="jam_klaim" id="field_jam_klaim"
                [(ngModel)]="headerKlaim.jam_klaim"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.no_srt_skg" for="field_no_srt_skg">No Srt Skg</label>
            <input type="text" class="form-control" name="no_srt_skg" id="field_no_srt_skg"
                [(ngModel)]="headerKlaim.no_srt_skg"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.tgl_srt_skg" for="field_tgl_srt_skg">Tgl Srt Skg</label>
            <input type="text" class="form-control" name="tgl_srt_skg" id="field_tgl_srt_skg"
                [(ngModel)]="headerKlaim.tgl_srt_skg"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.hal_skg" for="field_hal_skg">Hal Skg</label>
            <input type="text" class="form-control" name="hal_skg" id="field_hal_skg"
                [(ngModel)]="headerKlaim.hal_skg"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.no_srt_sbs" for="field_no_srt_sbs">No Srt Sbs</label>
            <input type="text" class="form-control" name="no_srt_sbs" id="field_no_srt_sbs"
                [(ngModel)]="headerKlaim.no_srt_sbs"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.tgl_srt_sbs" for="field_tgl_srt_sbs">Tgl Srt Sbs</label>
            <input type="text" class="form-control" name="tgl_srt_sbs" id="field_tgl_srt_sbs"
                [(ngModel)]="headerKlaim.tgl_srt_sbs"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.hal_sbs" for="field_hal_sbs">Hal Sbs</label>
            <input type="text" class="form-control" name="hal_sbs" id="field_hal_sbs"
                [(ngModel)]="headerKlaim.hal_sbs"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.jml_edit" for="field_jml_edit">Jml Edit</label>
            <input type="number" class="form-control" name="jml_edit" id="field_jml_edit"
                [(ngModel)]="headerKlaim.jml_edit"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.sts_klaim" for="field_sts_klaim">Sts Klaim</label>
            <input type="text" class="form-control" name="sts_klaim" id="field_sts_klaim"
                [(ngModel)]="headerKlaim.sts_klaim"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.giro_num" for="field_giro_num">Giro Num</label>
            <input type="text" class="form-control" name="giro_num" id="field_giro_num"
                [(ngModel)]="headerKlaim.giro_num"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.giro_val" for="field_giro_val">Giro Val</label>
            <input type="number" class="form-control" name="giro_val" id="field_giro_val"
                [(ngModel)]="headerKlaim.giro_val"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.nmkurir" for="field_nmkurir">Nmkurir</label>
            <input type="text" class="form-control" name="nmkurir" id="field_nmkurir"
                [(ngModel)]="headerKlaim.nmkurir"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.check1" for="field_check1">Check 1</label>
            <input type="number" class="form-control" name="check1" id="field_check1"
                [(ngModel)]="headerKlaim.check1"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.check2" for="field_check2">Check 2</label>
            <input type="number" class="form-control" name="check2" id="field_check2"
                [(ngModel)]="headerKlaim.check2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.check3" for="field_check3">Check 3</label>
            <input type="number" class="form-control" name="check3" id="field_check3"
                [(ngModel)]="headerKlaim.check3"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.check4" for="field_check4">Check 4</label>
            <input type="number" class="form-control" name="check4" id="field_check4"
                [(ngModel)]="headerKlaim.check4"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.check5" for="field_check5">Check 5</label>
            <input type="number" class="form-control" name="check5" id="field_check5"
                [(ngModel)]="headerKlaim.check5"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.check6" for="field_check6">Check 6</label>
            <input type="number" class="form-control" name="check6" id="field_check6"
                [(ngModel)]="headerKlaim.check6"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.check7" for="field_check7">Check 7</label>
            <input type="number" class="form-control" name="check7" id="field_check7"
                [(ngModel)]="headerKlaim.check7"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.ketACC" for="field_ketACC">Ket ACC</label>
            <input type="text" class="form-control" name="ketACC" id="field_ketACC"
                [(ngModel)]="headerKlaim.ketACC"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.checklengkap" for="field_checklengkap">Checklengkap</label>
            <input type="text" class="form-control" name="checklengkap" id="field_checklengkap"
                [(ngModel)]="headerKlaim.checklengkap"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.ketaccX" for="field_ketaccX">Ketacc X</label>
            <input type="text" class="form-control" name="ketaccX" id="field_ketaccX"
                [(ngModel)]="headerKlaim.ketaccX"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.userAPPV" for="field_userAPPV">User APPV</label>
            <input type="text" class="form-control" name="userAPPV" id="field_userAPPV"
                [(ngModel)]="headerKlaim.userAPPV"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.headerKlaim.userAPPVx" for="field_userAPPVx">User APP Vx</label>
            <input type="text" class="form-control" name="userAPPVx" id="field_userAPPVx"
                [(ngModel)]="headerKlaim.userAPPVx"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
